> ## Documentation Index
> Fetch the complete documentation index at: https://developers.govworx.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Call

> Get the current state of a call



## OpenAPI

````yaml https://realtime.govworx.net/u/api-docs get /realtime/v1/call/{id}
openapi: 3.1.0
info:
  title: GovWorx Realtime API
  description: >-
    Interfaces to access processing of realtime call data, transcriptions and
    CommsCoach Assist agentic outputs
  termsOfService: http://swagger.io/terms/
  version: '1.0'
servers:
  - url: https://realtime.govworx.net
security: []
tags:
  - name: Realtime Calls
    description: Endpoints for managing and interacting with active or completed calls
  - name: CAD Integration Handler
    description: >
      Implement these endpoints if you are a CAD vendor building an integration
      with Assist.


      These endpoints allow Assist to directly push data to your system.


      The base URL in the documentation (/cad-integration-handler) is
      illustrative and you may use a different base URL.


      You must implement the endpoints under the base URL using the given
      specifications, however.
  - name: Authentication
    description: Manage short-lived tokens for accessing the Realtime API.
  - name: CAD Integration
    description: Endpoints for managing and interacting with the CAD Integration.
  - name: Webhook Registration
    description: Register webhook handlers to receive notifications.
  - name: Webhook Handlers
    description: >-
      Implement these endpoints as needed to match any webhooks you have
      registered for. The URL in the documentation is illustrative. You must
      handle the webhook at the URL you registered. See 'Webhook Registration'.
externalDocs:
  description: GovWorx Developer Docs
  url: https://api.govworx.ai
paths:
  /realtime/v1/call/{id}:
    get:
      tags:
        - Realtime Calls
      summary: Get Call
      description: Get the current state of a call
      operationId: getRealtimeCall
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: summary
          in: query
          description: Include call summary in the response
          required: false
          schema:
            type: boolean
            default: false
          example: true
        - name: includeNotificationDetails
          in: query
          description: >-
            Include call notification socket details in the response. Only
            available for an active call; ignored for completed calls.
          required: false
          schema:
            type: boolean
            default: false
          example: true
      responses:
        '200':
          description: Returns data for the specified call
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/RealtimeCallDto'
        '401':
          description: Failed to authenticate request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/RealtimeCallDto'
        '403':
          description: Not authorized to access this call
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/RealtimeCallDto'
        '404':
          description: Call not found
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/RealtimeCallDto'
components:
  schemas:
    RealtimeCallDto:
      type: object
      properties:
        id:
          type: string
        call_sid:
          type: string
        call_status:
          type: string
        created_at:
          type: string
          format: date-time
        started_at:
          type: string
          format: date-time
        summary:
          $ref: '#/components/schemas/CallSummary'
        call_socket:
          $ref: '#/components/schemas/CallSocket'
        call_details_record:
          $ref: '#/components/schemas/CallDetailsRecordSummaryDto'
        call_locations:
          type: array
          items:
            $ref: '#/components/schemas/CallLocationDto'
        viewers:
          type: array
          items:
            $ref: '#/components/schemas/CallViewerDto'
          uniqueItems: true
        agencies:
          type: array
          items:
            $ref: '#/components/schemas/AgencyDto'
          uniqueItems: true
    CallSummary:
      type: object
      properties:
        title:
          type: string
        summary:
          type: string
        nature:
          type: string
        location:
          type: string
        severity:
          type: string
        hazards:
          type: string
        timeSensitivity:
          type: string
        callerInfo:
          type: string
        suspectDetails:
          type: string
        ancillaryServices:
          type: string
        additionalRemarks:
          type: string
    CallSocket:
      type: object
      properties:
        token:
          $ref: '#/components/schemas/TokenDetails'
        channel:
          type: string
        updates_channel_host:
          type: string
        encryption_key:
          type: string
    CallDetailsRecordSummaryDto:
      type: object
      properties:
        ani_number:
          type: string
        call_duration_ms:
          type: integer
          format: int64
        call_started_at:
          type: string
          format: date-time
        call_answered_at:
          type: string
          format: date-time
        call_ended_at:
          type: string
          format: date-time
    CallLocationDto:
      type: object
      properties:
        latitude:
          type: number
          format: double
        longitude:
          type: number
          format: double
        accuracy:
          type: number
          format: double
        city:
          type: string
        state:
          type: string
        streetAddress:
          type: string
        country:
          type: string
        source:
          type: string
        createdAt:
          type: string
          format: date-time
    CallViewerDto:
      type: object
      properties:
        userId:
          type: integer
          format: int64
        firstName:
          type: string
        lastName:
          type: string
    AgencyDto:
      type: object
      properties:
        id:
          type: integer
          format: int64
        name:
          type: string
        code:
          type: string
        type:
          type: string
        geoAreaIds:
          type: array
          items:
            type: integer
            format: int64
        geoAreas:
          type: array
          items:
            $ref: '#/components/schemas/GeoAreaDto'
    TokenDetails:
      type: object
      properties:
        token:
          type: string
        expires:
          type: integer
          format: int64
        issued:
          type: integer
          format: int64
        capability:
          type: string
        clientId:
          type: string
    GeoAreaDto:
      type: object
      properties:
        id:
          type: integer
          format: int64
        properties:
          $ref: '#/components/schemas/GeoAreaProperties'
        geometry:
          type: object
          additionalProperties:
            type: object
    GeoAreaProperties:
      type: object
      properties:
        geoArea:
          type: string
        name:
          type: string
        color:
          type: string

````